from django.db.models.signals import post_migrate
from django.dispatch import receiver
from django.contrib.auth.models import Group

from tickets.models import TicketList


@receiver(post_migrate)
def create_initial_ticket_lists(sender, **kwargs):
    if sender.name == 'tickets':
        TicketList.objects.get_or_create(pk=100, name='MS-ADMIN активация партнеров NEG_REQUEST', group=Group.objects.get(name='METASERVICE-ADMIN'))
        TicketList.objects.get_or_create(pk=101, name='MS-ADMIN права в сервисе ACCESS_REQUEST', group=Group.objects.get(name='METASERVICE-ADMIN'))
        TicketList.objects.get_or_create(pk=102, name='MS-ADMIN проверка документов ST_REQUEST', group=Group.objects.get(name='METASERVICE-ADMIN'))
        TicketList.objects.get_or_create(pk=103, name='MS-SUPER активность пользователей ST_REQUEST', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=104, name='MS-SUPER оперативный доступ ST_REQUEST', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=106, name='MS-SUPER опер доступ экстра ACCESS_REQUEST', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=107, name='MS-SUPER права сервиса ST_REQUEST', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=108, name='MS-SUPER проверка документов ST_REQUEST', group=Group.objects.get(name='METASERVICE-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=109, name='MS-SUP входящие обычные заявки ST_REQUEST', group=Group.objects.get(name='METASERVICE-SUPPORT'))
        TicketList.objects.get_or_create(pk=110, name='MS-SUP заявки на услуги сервиса SERVICE_REQUEST', group=Group.objects.get(name='METASERVICE-SUPPORT'))
        TicketList.objects.get_or_create(pk=111, name='MS-TSUP входящие тех заявки ST_REQUEST', group=Group.objects.get(name='METASERVICE-TECHSUPPORT'))
        TicketList.objects.get_or_create(pk=112, name='P-ADMIN документы исполнителей ST_REQUEST', group=Group.objects.get(name='PARTNER-ADMIN'))
        TicketList.objects.get_or_create(pk=113, name='P-ADMIN документы ресурсов ST_REQUEST', group=Group.objects.get(name='PARTNER-ADMIN'))
        TicketList.objects.get_or_create(pk=114, name='P-ADMIN права в партнерке ACCESS_REQUEST', group=Group.objects.get(name='PARTNER-ADMIN'))
        TicketList.objects.get_or_create(pk=115, name='P-SUPER активность внутри партнера ST_REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=116, name='P-SUPER документы исполнителей ST_REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=117, name='P-SUPER документы ресурсов ST_REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=118, name='P-SUPER доступ внутри партнера ST_REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=119, name='P-SUPER оперативный доступ ST_REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=120, name='P-SUPER оперативный доступ экстра ST_REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=121, name='P-SUPER ручной аппрув заявок ACCESS-REQUEST', group=Group.objects.get(name='PARTNER-SUPERVISOR'))
        TicketList.objects.get_or_create(pk=122, name='P-TSUP входящие тех заявки ST_REQUEST', group=Group.objects.get(name='PARTNER-TECHSUPPORT'))